VectorLinux

Please login or register.

Login with username, password and session length
Advanced search  

News:

Visit our home page for VL info. For support and documentation, visit the Vector Linux Knowledge Center or search the Knowledge Center and this Forum using the search box above.

Author Topic: can't launch exaile on vl7.0 64 bit  (Read 1416 times)

vincent2

  • Vectorite
  • ***
  • Posts: 412
can't launch exaile on vl7.0 64 bit
« on: September 28, 2013, 07:40:36 am »

Now can't launch exaile  on vl7.0   64 bit  as usual, where's gone wrong?

any fix commands available?


Quote
$ exaile

** (process:19478): WARNING **: Trying to register gtype 'GMountMountFlags' as enum when in fact it is of type 'GFlags'

** (process:19478): WARNING **: Trying to register gtype 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'

** (process:19478): WARNING **: Trying to register gtype 'GSocketMsgFlags' as enum when in fact it is of type 'GFlags'
INFO    : Loading Exaile 3.3.1 on Python 2.7.2...
INFO    : Loading settings...
** Message: pygobject_register_sinkfunc is deprecated (GstObject)
WARNING : Could not enable auto sink for player, attempting to autoselect.
Traceback (most recent call last):
  File "/usr/lib64/exaile/exaile.py", line 68, in <module>
    main()
  File "/usr/lib64/exaile/exaile.py", line 65, in main
    exaile = main.Exaile()
  File "/usr/lib64/exaile/xl/main.py", line 142, in __init__
    self.__init()
  File "/usr/lib64/exaile/xl/main.py", line 184, in __init
    from xlgui.widgets.info import Splash
  File "/usr/lib64/exaile/xlgui/__init__.py", line 41, in <module>
    from xl import (
  File "/usr/lib64/exaile/xl/player/__init__.py", line 68, in <module>
    PLAYER = get_player()('player')
  File "/usr/lib64/exaile/xl/player/engine_normal.py", line 50, in __init__
    pre_elems=[pipe.ProviderBin( self, "stream_element")])
  File "/usr/lib64/exaile/xl/player/_base.py", line 49, in __init__
    self._mainbin = pipe.MainBin(self, pre_elems=pre_elems)
  File "/usr/lib64/exaile/xl/player/pipe.py", line 69, in __init__
    self.add(*self._elements)
TypeError: argument must be a GstElement
Logged

overthere

  • Vectorian
  • ****
  • Posts: 1355
Re: can't launch exaile on vl7.0 64 bit
« Reply #1 on: September 28, 2013, 08:34:00 am »

perhaps you have updated glib, gvfs and created issue. there was a bug where enums were changed to flags or something but I am not familiar with it.

you may also want to read this thread
http://forum.vectorlinux.com/index.php?topic=17238.0
« Last Edit: September 28, 2013, 09:21:21 am by overthere »
Logged
Everything Is Relative

vincent2

  • Vectorite
  • ***
  • Posts: 412
Re: can't launch exaile on vl7.0 64 bit
« Reply #2 on: September 29, 2013, 05:10:13 am »

tried installing  gst-ffmpeg on vl7.0 64 bit, any exaile still can't be launched, same error maessages.....

while  on vl7.1 beta 45  , 64 bit, exaile does work very well.........
Logged

overthere

  • Vectorian
  • ****
  • Posts: 1355
Re: can't launch exaile on vl7.0 64 bit
« Reply #3 on: September 29, 2013, 01:38:03 pm »

You say ""Now Can't Launch", so it Was working.  What have you added or updated connected with exaile.Have you updated exaile, python,glib,gvfs..for example.
Logged
Everything Is Relative